<?php

	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/dados.php");
	require_once($dir."/classes/Dados.class.php");
	require_once($dir."/classes/Vendedor.class.php");
	require_once($dir."/dao/VendedorDAO.class.php");
	require_once($dir."/dao/VisitaDAO.class.php");
	
	$dados = new Dados();
	$vendedor = new Vendedor();
	$vendedor->setCodvendedor($_POST["codvendedor"]);
	
	$dataini = $_POST['dataini'];
	$datafin = $_POST['datafin'];
	$dataini = $dados->DatePickerToDate($dataini);
	$datafin = $dados->DatePickerToDate($datafin);

	
	$visitaDAO = new VisitaDAO();
	$vendedorDAO = new VendedorDAO();
	$visitaDAO->todasVisitas($vendedor, $dataini, $datafin);
	$vendedorDAO->infoVisitas($vendedor, $dataini, $datafin);	
	
	$_SESSION["infovendedor"] = $vendedor;
	
	$result = '<li data-role="list-divider" role="heading">Visitas</li>';
	$result .= '<li><a href="#relvisitas" data-transition="slide" id="linknrovisitas" class="relvisitas">Nro Visitas: '.$vendedor->getNroVisitas().'</a></li>';
	$result .= '<li><a href="#relvisitas" data-transition="slide" id="linkvisitasnegativas" class="relvisitas">Visitas Negativas: '.$vendedor->getNroVisitasNegativas().'</a></li>';
	$result .= '<li><b>Media Visitas/Dia: '.$vendedor->getMediaVisitas().'</b></li>';
	$result .= '<li><b>Crescimento de Visitas: '.$vendedor->getCrescVisitas().'</b></li>';
	$result .= '<li><b>Cobertura de Cliente: '.$vendedor->getCobCliente().'</b></li>';
	
	
	echo $result;
?>
